Ошибка компиляции приложения ArxDbg из ObjectArx2015

Автор Тема: Ошибка компиляции приложения ArxDbg из ObjectArx2015  (Прочитано 517 раз)

0 Пользователей и 1 Гость просматривают эту тему.

Оффлайн AndrewKuznetsАвтор темы

  • ADN OPEN
  • Сообщений: 14
  • Карма: 0
Всем доброго утра!
При компиляции приложения  ArxDbg из ObjectArx2015.Samples в VS2015 возникает ошибка:

1>rxapi.lib(nullobid.obj) : error LNK2038: обнаружено несоответствие для "_MSC_VER": значение "1700" не соответствует значению "1900" в AcadStr.obj

Что, rxapi.lib скомпилировано в старом компиляторе 1700? Где взять новый rxapi.lib ?

Отмечено как Решение Александр Ривилис 26-01-2020, 15:21:08

Оффлайн Александр Ривилис

  • Administrator
  • *****
  • Сообщений: 11603
  • Карма: 1505
  • Рыцарь ObjectARX
  • Skype: rivilis
Всем доброго утра!
При компиляции приложения  ArxDbg из ObjectArx2015.Samples в VS2015 возникает ошибка:

1>rxapi.lib(nullobid.obj) : error LNK2038: обнаружено несоответствие для "_MSC_VER": значение "1700" не соответствует значению "1900" в AcadStr.obj

Что, rxapi.lib скомпилировано в старом компиляторе 1700? Где взять новый rxapi.lib ?

И будет возникать, так как для ObjectARX SDK 2015 подходит только (!!!) VS 2012 (но никак не VS 2015).
Если просто необходим готовый ARXDBG для AutoCAD 2015, то он есть здесь: https://adn-cis.org/forum/index.php?topic=7274.0
Не забывайте про правильное Форматирование кода на форуме
Создание и добавление Autodesk Screencast видео в сообщение на форуме
Если Вы задали вопрос и на форуме появился правильный ответ, то не забудьте про кнопку Решение

Оффлайн AndrewKuznetsАвтор темы

  • ADN OPEN
  • Сообщений: 14
  • Карма: 0
Спасибо за полный ответ.